Narcoleptic Possum Mob

    @sc-com/eslint-config

    0.1.2 • Public • Published

    使用说明

    安装

    npm install --save-dev @sc-com/eslint-config

    配置

    eslint配置文件的优先级为: .eslintrc.js > .eslintrc.cjs > .eslintrc.yaml > .eslintrc.yml > .eslintrc.json > package.json中eslintConfig属性
    prettier配置文件的优先级为: .prettierrc.js > prettier.config.js > package.json中prettier属性

    基础 - base

    适用于所有前端及nodejs项目

    javascript

    extends: ['@sup-com/eslint-config', '@sup-com/eslint-config/prettier']

    typescript

    extends: ['@sup-com/eslint-config/typescript', '@sup-com/eslint-config/typescript/prettier']

    终端 - web

    适用于浏览器、小程序项目

    javascript

    extends: ['@sup-com/eslint-config/web', '@sup-com/eslint-config/web/prettier']

    typescript

    extends: ['@sup-com/eslint-config/web/typescript', '@sup-com/eslint-config/web/typescript/prettier']

    框架 - react

    适用于react项目

    javascript

    extends: ['@sup-com/eslint-config/react', '@sup-com/eslint-config/react/prettier']

    typescript

    extends: ['@sup-com/eslint-config/react/typescript', '@sup-com/eslint-config/react/typescript/prettier']

    Keywords

    none

    Install

    npm i @sc-com/eslint-config

    DownloadsWeekly Downloads

    1

    Version

    0.1.2

    License

    ISC

    Unpacked Size

    12.8 kB

    Total Files

    30

    Last publish

    Collaborators

    • zhongshihao